###############################################################################
# PolyORB configuration file.
# $Id: polyorb.conf 170012 2011-02-02 17:00:14Z quinot $

###############################################################################
# The syntax of the configuration file is:
#  - empty lines and lines that have a '#' in column 1 are
#    ignored;
#  - sections can be started by lines of the form
#    '[' SECTION-NAME ']';
#  - variable assignments can be performed by lines of the
#    form VARIABLE-NAME '=' VALUE.
#  Any variable assignment is local to a section.
#
#  Assignments that occur before the first section declaration
#  are relative to section [environment].
#  Section and variable names are case sensitive.
#
#  A variable Var.Iable in section [Sec] can be overridden by
#  setting environment variable "POLYORB_SEC_VAR_IABLE"
#  (see Make_Env_Name in body).
#  Furthermore, each time a resolved in that section value
#  starts with "file:", the contents of the file is used instead.

###############################################################################
# Logging facility
#
# Note: debug will work iff PolyORB has been configured with 'debug' enabled

[log]
#default=notice
#timestamp=false
#
# Middleware core
#
#polyorb.any=debug
#polyorb.any.exceptionlist=debug
#polyorb.any.nvlist=debug
#polyorb.asynch_ev.sockets=debug
#polyorb.binding_data=debug
#polyorb.binding_objects=debug
#polyorb.buffers=debug
#polyorb.buffers_show=debug
#polyorb.call_back=debug
#polyorb.components=debug
#polyorb.configuration=debug

##### polyorb.errors=debug

#polyorb.errors.helper=debug

##### polyorb.exceptions=debug

#polyorb.exceptions.stack=debug
#polyorb.filters=debug
#polyorb.filters.slicers=debug
#polyorb.filters.fragmenter=debug
#polyorb.initialization=debug
#polyorb.lanes=debug
#polyorb.orb=debug
#polyorb.orb_controller=debug
#polyorb.orb_controller_status=debug
#polyorb.orb.no_tasking=debug
#polyorb.orb.thread_per_request=debug
#polyorb.orb.thread_per_session=debug
#polyorb.orb.thread_pool=debug
#polyorb.protocols=debug
#polyorb.protocols.echo=debug
#polyorb.references=debug
#polyorb.references.binding=debug
#polyorb.references.corbaloc=debug
#polyorb.references.ior=debug
#polyorb.references.uri=debug
#polyorb.representations.cdr=debug
#polyorb.requests=debug
#polyorb.request_qos=debug
#polyorb.request_scheduler.servant_lane=debug
#polyorb.servants.group_servants=debug
#polyorb.smart_pointers=debug

##### polyorb.tasking.advanced_mutexes=debug
##### polyorb.tasking.condition_variables=debug
##### polyorb.tasking.mutexes=debug
##### polyorb.tasking.rw_locks=debug
##### polyorb.tasking.semaphores=debug
##### polyorb.tasking.watchers=debug
##### polyorb.tasking.profiles.full_tasking.threads=debug

#polyorb.transport.connected=debug
#polyorb.transport.connected.sockets=debug
#polyorb.transport.connected.sockets.ssl=debug
#polyorb.transport.datagram.sockets=debug
#polyorb.utils.configuration_file=debug
#polyorb.utils.sockets=debug
#polyorb.utils.tcp_access_points=debug
#
# POA
#
#polyorb.obj_adapters.group_object_adapter=debug
#polyorb.object_maps.system=debug
#polyorb.object_maps.user=debug
#polyorb.poa=debug
#polyorb.poa.basic_poa=debug
#polyorb.poa_manager.basic_manager=debug
#polyorb.poa_types=debug
#polyorb.poa_policies.thread_policy.single_thread=debug
#polyorb.poa_policies.thread_policy.main_thread=debug
#polyorb.rt_poa.basic_rt_poa=debug
#
# CORBA personality
#
#corba.fixed_point=debug
#corba.orb=debug
#corba.serverrequest=debug
#polyorb.corba_p.exceptions=debug
#polyorb.corba_p.initial_references=debug
#polyorb.corba_p.server_tools=debug
#polyorb.if_descriptors.corba_ir=debug
#portableserver=debug
#portableserver.poa=debug
#
# DSA personality
#
#polyorb.dsa_p.partitions=debug
#polyorb.dsa_p.remote_launch=debug
#polyorb.dsa_p.storages=debug
#polyorb.dsa_p.storages.dsm=debug
#polyorb.dsa_p.storages.dfs=debug
#system.dsa_services=debug
#system.partition_interface=debug
#
#polyorb.qos.term_manager_info=debug
#polyorb.termination_manager=debug
#polyorb.termination_manager.bootstrap=debug
#
# GIOP personality
#
#polyorb.binding_data.giop.common_sockets=debug
#polyorb.giop_p.exceptions=debug
#polyorb.giop_p.service_contexts=debug
#polyorb.giop_p.tagged_components=debug

##### polyorb.protocols.giop=debug

#polyorb.protocols.giop.common=debug
#polyorb.protocols.giop.giop_1_0=debug
#polyorb.protocols.giop.giop_1_1=debug
#polyorb.protocols.giop.giop_1_2=debug
#polyorb.representations.cdr.giop_utils=debug
#
# IIOP Personality
#
#polyorb.binding_data.giop.iiop=debug
#
# DIOP Personality
#
#polyorb.binding_data.giop.diop=debug
#
# MIOP Personality
#
#polyorb.binding_data.giop.uipmc=debug
#polyorb.filters.miop=debug
#polyorb.filters.miop.miop_in=debug
#polyorb.filters.miop.miop_out=debug
#polyorb.miop_p.tagged_components=debug
#
# MOMA personality
#
#moma.configuration.server=debug
#moma.configuration=debug
#moma.message_consumers=debug
#moma.message_producers=debug
#moma.provider.message_consumer=debug
#moma.provider.message_handler=debug
#moma.provider.message_pool=debug
#moma.provider.message_producer=debug
#moma.provider.routers=debug
#moma.provider.topic_datas=debug
#moma.types=debug
#
# SOAP personality
#
#polyorb.filters.http=debug
#polyorb.protocols.soap_pr=debug
#soap.message.xml=debug
#soap.types=debug
#
# SRP personality
#
#polyorb.protocols.srp=debug
#polyorb.representations.srp=debug
#
# Tasking profiles
#
#polyorb.tasking.profiles.full_tasking.condition_variables=debug
#polyorb.tasking.profiles.full_tasking.mutexes=debug

##### polyorb.tasking.profiles.full_tasking.threads=debug

#polyorb.tasking.profiles.ravenscar.condition_variables=debug
#polyorb.tasking.profiles.ravenscar.index_manager=debug
#polyorb.tasking.profiles.ravenscar.mutexes=debug
#polyorb.tasking.profiles.ravenscar.threads=debug
#
# Security Service
#
#polyorb.security.authentication_mechanisms=debug
#polyorb.security.credentials=debug
#polyorb.security.exported_names=debug

[smart_pointers]

# Fine-grained control of debugging traces for smart pointers events

#default.trace=false
#POLYORB.ANY.ANY_CONTAINER.trace=true
#POLYORB.ANY.NVLIST.OBJECT.trace=true
#POLYORB.BINDING_OBJECTS.BINDING_OBJECT.trace=true
#POLYORB.CORBA_P.POLICY.POLICY_OBJECT_TYPE.trace=true
#POLYORB.OBJ_ADAPTERS.GROUP_OBJECT_ADAPTER.GROUP_OBJECT_ADAPTER.trace=true
#POLYORB.POA.BASIC_POA.BASIC_OBJ_ADAPTER.trace=true
#POLYORB.POA_MANAGER.BASIC_MANAGER.BASIC_POA_MANAGER.trace=true
#POLYORB.REFERENCES.REFERENCE_INFO.trace=true







###############################################################################
# CORBA parameters
#

[corba]
#name_service=IOR:xxx
#ir_service=IOR:xxx
#policy_domain_manager=IOR:xxx
#replication_manager=IOR:xxx

###############################################################################
# DSA parameters
#

[dsa]
#rpc_timeout=0

name_service=corbaloc:iiop:1.2@127.0.0.1:2809/NameService/000000024fF0000000080000000
#name_service=corbaloc:iiop:1.2@110.174.207.98:2809/NameService/000000024fF0000000080000000
#name_service=corbaloc:iiop:1.2@192.168.1.1:2809/NameService/000000024fF0000000080000000

#delay_between_failed_requests=1000
#max_failed_requests=10

#termination_initiator=false
#termination_policy=global_termination
#tm_time_between_waves=1000
#tm_time_before_start=5000

#detach=false
#rsh_command=ssh
#rsh_options=-f
#force_rsh=false

###############################################################################
# CDR parameters
#

[cdr]
enable_fast_path=true
# Set to FALSE to disable fast path CDR (un)marshalling

###############################################################################
# GIOP parameters
#

[giop]

###############################################################
# Native code sets
#
# Available char data code sets:
#   16#00010001#   ISO 8859-1:1987; Latin Alphabet No. 1
#   16#05010001#   X/Open UTF-8; UCS Transformation Format 8 (UTF-8)
#
# Available wchar data code sets:
#   16#00010100#   ISO/IEC 10646-1:1993; UCS-2, Level 1
#   16#00010109#   ISO/IEC 10646-1:1993;
#                                UTF-16, UCS Transformation Format 16-bit form
#
#giop.native_char_code_set=16#00010001#
#giop.native_wchar_code_set=16#00010100#
#
# The following parameters force the inclusion of fallback code sets
# as supported conversion code sets. This is required to enable
# interoperability with ORBs whose code sets negotiation support is
# broken. See PolyORB Users Guide for additional information.
#
#giop.add_char_fallback_code_set=false
#giop.add_wchar_fallback_code_set=false

###############################################################################
# IIOP parameters
#

[iiop]

###############################################################
# IIOP Global Settings

# Preference level for IIOP
#polyorb.binding_data.iiop.preference=0

# IIOP default address
#polyorb.protocols.iiop.default_addr=127.0.0.1

# IIOP default port
polyorb.protocols.iiop.default_port=5003
# Single port number: bind only to that port, fail if already bound
#polyorb.protocols.iiop.default_port=2809-2811
# Port range: bind to first available port in range

# IIOP alternate addresses
#polyorb.protocols.iiop.alternate_listen_addresses=127.0.0.1:2810 127.0.0.1:2820

# Default GIOP/IIOP Version
#polyorb.protocols.iiop.giop.default_version.major=1
#polyorb.protocols.iiop.giop.default_version.minor=2

###############################################################
# IIOP 1.2 specific parameters

# Set to True to enable IIOP 1.2
#polyorb.protocols.iiop.giop.1.2.enable=true

# Set to True to send a locate message prior to the request
#polyorb.protocols.iiop.giop.1.2.locate_then_request=true

# Maximum message size before fragmenting request
#polyorb.protocols.iiop.giop.1.2.max_message_size=1000

###############################################################
# IIOP 1.1 specific parameters

# Set to True to enable IIOP 1.1
#polyorb.protocols.iiop.giop.1.1.enable=true

# Set to True to send a locate message prior to the request
#polyorb.protocols.iiop.giop.1.1.locate_then_request=true

# Maximum message size before fragmenting request
#polyorb.protocols.iiop.giop.1.1.max_message_size=1000

###############################################################
# IIOP 1.0 specific parameters

# Set to True to enable IIOP 1.0
#polyorb.protocols.iiop.giop.1.0.enable=true

# Set to True to send a locate message prior to the request
#polyorb.protocols.iiop.giop.1.0.locate_then_request=true

###############################################################################
# SSLIOP parameters
#

[ssliop]

###############################################################
# SSLIOP Global Settings

# SSLIOP default port
#polyorb.protocols.ssliop.default_port=2810
# Single port number: bind only to that port, fail if already bound
#polyorb.protocols.ssliop.default_port=2810-2812
# Port range: bind to first available port in range

# If no SSLIOP default address is provided, the one speficied for IIOP
# is reused.

# Private Key file name
#polyorb.protocols.ssliop.privatekeyfile=privkey.pem

# Certificate file name
#polyorb.protocols.ssliop.certificatefile=cert.pem

# Trusted CA certificates file
#polyorb.protocols.ssliop.cafile=cacert.pem

# Trusted CA certificates path
#polyorb.protocols.ssliop.capath=demoCA/certs

# Disable unprotected invocations
#polyorb.protocols.ssliop.disable_unprotected_invocations=true

###############################################################
# Peer certificate verification mode

# Verify peer certificate
#polyorb.protocols.ssliop.verify=false

# Fail if client did not return certificate. (server side option)
#polyorb.protocols.ssliop.verify_fail_if_no_peer_cert=false

# Request client certificate only once. (server side option)
#polyorb.protocols.ssliop.verify_client_once=false

###############################################################################
# DIOP parameters
#

[diop]

###############################################################
# DIOP Global Settings

# Preference level for DIOP
#polyorb.binding_data.diop.preference=0

# DIOP default address
#polyorb.protocols.diop.default_addr=127.0.0.1

# DIOP default port
#polyorb.protocols.diop.default_port=12345
# Single port number: bind only to that port, fail if already bound
#polyorb.protocols.diop.default_port=12345-12347
# Port range: bind to first available port in range

# Default GIOP/DIOP Version
#polyorb.protocols.diop.giop.default_version.major=1
#polyorb.protocols.diop.giop.default_version.minor=2

###############################################################
# DIOP 1.2 specific parameters

# Set to True to enable DIOP 1.2
#polyorb.protocols.diop.giop.1.2.enable=true

# Maximum message size
#polyorb.protocols.diop.giop.1.2.max_message_size=1000

###############################################################
# DIOP 1.1 specific parameters

# Set to True to enable DIOP 1.1
#polyorb.protocols.diop.giop.1.1.enable=true

# Maximum message size
#polyorb.protocols.diop.giop.1.1.max_message_size=1000

###############################################################
# DIOP 1.0 specific parameters

# Set to True to enable DIOP 1.0
#polyorb.protocols.diop.giop.1.0.enable=true

###############################################################################
# MIOP parameters
#

[miop]

###############################################################
# MIOP Global Settings

# Preference level for MIOP
#polyorb.binding_data.uipmc.preference=0

# Maximum message size
#polyorb.miop.max_message_size=6000

# Time To Leave parameter
#polyorb.miop.ttl=15

# Multicast address to use
# These two parameters must be set explicitly, no default value is provided.
# If either parameter is unset, the MIOP access point is disabled.
#polyorb.miop.multicast_addr=<group-ip-address>
#polyorb.miop.multicast_port=<port-number>

# Set to True to enable MIOP
#polyorb.protocols.miop.giop.1.2.enable=false

# Maximum message size
#polyorb.protocols.miop.giop.1.2.max_message_size=1000

###############################################################################
# SOAP parameters
#

[soap]

###############################################################
# SOAP Global Settings

# Preference level for SOAP
#polyorb.binding_data.soap.preference=0

# SOAP default address
#polyorb.protocols.soap.default_addr=127.0.0.1

# SOAP default port
#polyorb.protocols.soap.default_port=8080
# Single port number: bind only to that port, fail if already bound
#polyorb.protocols.soap.default_port=8080-8082
# Port range: bind to first available port in range

###############################################################################
# Enable/Disable access points
#

[access_points]
#srp=disable
#soap=disable
#iiop=disable
#iiop.ssliop=disable
#diop=disable
#uipmc=disable

###############################################################################
# Enable/Disable modules
#

[modules]
#binding_data.srp=disable
#binding_data.soap=disable
#binding_data.iiop=disable
#binding_data.iiop.ssliop=disable
#binding_data.diop=disable
#binding_data.uipmc=disable

###############################################################################
# Parameters for tasking 
#

[tasking]
#storage_size=262144
# Default storage size for all threads spawned by PolyORB

#abortable_rpcs=true
# If set True, allows abortion of remote calls on the server side

# Control of Thead_Pool

#start_threads=4
# Count of initially created anonymous threads in pool

#min_spare_threads=2 
# Minimum number of idle anonymous threads to maintain

#max_spare_threads=4 
# Maximum number of idle anonymous threads to maintain

#max_threads=10
# Upper limit on number of anonymous threads

###############################################################################
# Parameters for ORB Controllers
#

[orb_controller]
# Interval between two polling actions on one monitor (milliseconds)
#polyorb.orb_controller.polling_interval=0

# Timeout when polling on one monitor (milliseconds)
#polyorb.orb_controller.polling_timeout=0

###############################################################################
# Parameters for transport mechanisms
#
[transport]
# Set TCP_NODELAY option on TCP sockets to disable Nagle buffering
# (this is true by default)
#tcp.nodelay=false

###############################################################################
# Enable/Disable proxies
#

[proxies]
#enable_proxies=false

###############################################################################
# Security Service configuration
[security_manager]
#own_credentials=my_credentials
#integrity_required=true
#confidentiality_required=true
#detect_replay_required=true
#detect_misordering_required=true
#establish_trust_in_target_required=true
#establish_trust_in_client_required=true
#identity_assertion_required=true
#delegation_by_client_required=true

#[my_credentials]
#transport_credentials_type=tls
#tls.method=tls1
#tls.certificate_file=my.crt
#tls.certificate_chain_file=
#tls.private_key_file=my.key
#tls.certificate_authority_file=root.crt
#tls.certificate_authority_path
#tls.ciphers=ALL
#tls.verify_peer=true
#tls.verify_fail_if_no_peer_certificate=true
#
#authentication_credentials_type=gssup
#gssup.username=username@domain
#gssup.password=password
#gssup.target_name=@domain

[tlsiop]
#addresses=127.0.0.1:3456

#[my_gssup]
#mechanism=gssup
#gssup.target_name=@domain
#gssup.passwd_file=passwd.pwd

#[MySecurePOA]
#unprotected_invocation_allowed=true
#transport_mechanism=tlsiop
#authentication_mechanism=my_gssup
#authentication_required=true
#backward_trust_rules_file=file.btr
#privilege_authorities=
